unit H_Image2PDF;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    OpenDialog1: TOpenDialog;
    Edit1: TEdit;
    Button2: TButton;
    Edit2: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Edit3: TEdit;
    Edit13: TEdit;
    Label12: TLabel;
    Edit14: TEdit;
    Label13: TLabel;
    Button4: TButton;
    GroupBox1: TGroupBox;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    Button1: TButton;
    Button3: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

function Img2PDF(const ImageName: PChar; PDFName: PChar; mmwidth: LongInt; mmheight: LongInt; add: LongInt): LongInt; stdcall;
function GetImgw(const ImageName: PChar): LongInt; stdcall;
function GetImgh(const ImageName: PChar): LongInt; stdcall;

implementation

{$R *.DFM}

function Img2PDF(const ImageName: PChar; PDFName: PChar; mmwidth: LongInt; mmheight: LongInt; add: LongInt): LongInt; stdcall;
external 'Image2PDF.dll';
function GetImgw(const ImageName: PChar): LongInt; stdcall;
external 'Image2PDF.dll';
function GetImgh(const ImageName: PChar): LongInt; stdcall;
external 'Image2PDF.dll';

procedure TForm1.Button1Click(Sender: TObject);
begin
   Edit13.Text := IntToStr(GetImgw(PChar(Edit1.Text)));
end;

procedure TForm1.Button2Click(Sender: TObject);
var Save_Cursor : TCursor;
    n13, n14, add : LongInt;
begin
     Edit2.Text := '';
     Edit2.Refresh;
     Edit2.Repaint;

     Save_Cursor := Screen.Cursor;
     Screen.Cursor := crHourglass;    { Show hourglass cursor }
     Form1.Repaint;

     if ( Edit13.Text <> '' ) Then // width
        n13 := StrToInt(Edit13.Text);
     if ( Edit14.Text <> '' ) Then // height
        n14 := StrToInt(Edit14.Text);

     if ( RadioButton1.Checked = True ) then
        add := 1
       else
        add := 0;

     Edit2.Text := IntToStr(Img2PDF(PChar(Edit1.Text), PChar(Edit3.Text), n13, n14, add));

     Screen.Cursor := Save_Cursor;  { Always restore to normal }

end;

procedure TForm1.Button3Click(Sender: TObject);
begin
   Edit14.Text := IntToStr(GetImgh(PChar(Edit1.Text)));
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
     Edit2.Text := '';
     Edit3.Text := '';
     If OpenDialog1.Execute Then
        Begin
           Edit1.Text := OpenDialog1.FileName;
           Edit3.Text := OpenDialog1.FileName + '.pdf';
        end;   
end;

end.
